# Changes

# 2.7.2

Bug Fixes:
- Fixed crash when trying to spawn a player in a dropship on a non-dropship map on round start (Last known crash)
- Added failsafe, because of it every player's first spawn will be a normal spawn

Gameplay:
- You will always join an existing dropship if it is available (Excluding pilots/spectres)
- Changed spawn chances to:
- * Create dropship 10%
- * Create droppod 40%
- * Normal Spawn 50%

# 2.7.1

Bug Fixes:
- Added failsafe for attempting to spawn player multiple times
- Fixed crash regarding last issue



Gameplay
- If a dropship is available, instead of spawning without an animation you will spawn in the dropship
- If the map you are currently playing on doesn't have defined/unobstructed dropship spawns, it will spawn you in a droppod instead (Dropship map whitelist)



# 2.7.0

# Grunt Mode 2.7.0 (Spawn Update)

Gameplay:
- Added Dropship Respawns (Only available for non-spectres) // 30% chance
- Teams have a default maximum of 1 dropship, but can have multiple if a pilot is spawning in
- Added Normal Respawns // 40% chance
- Droppod respawns now have a 30% chance
- Hero dropships and epilouge dropships have hugely reduced health pools ( 20000 -> 10300 )
- Added some of VoyageDB's spawn code, this will keep teams more organized and grouped together, and will reduce out-of-bounds spawns or spawnkilling

AI:
- Increased Stalker health
- Specialists now correctly spawn
- Specialists will have the communications model of the opposing team, and a special nametag
- Grunt dropships will spawn with a leader unit (either a shield captain or specialist)
- Grunt droppods will also spawn with a leader unit, but have a 33% chance not to
- Spectre droppods will no longer spawn with a leader unit
- Droppod AI now have correct weapons
- Leaders now have specialized weapons
- New AI Weapons
- Spectres spawn later in the round
- Leaders now have secondaries
- Shield captains may have attachments

UI:
- You should now be able to see friendly dropships, titans, and reapers from across the map
- Edited the Pilot description to fit the new changes
- Spawn Zones have been added to the minimap

Classes:
- Pilots will always create a new dropship and be the first person in it
- Pilots now have a kunai as a melee weapon (BUFF)

Economy:
- Specialists are now worth 4 points

Bug Fixes:
- Fixed Crash on maps with no dropship spawns
- Fixed crash from AI trying to gain score from assists
- Fixed crash when trying to set the squad leader to an unspecified person
- Spectres who try to enter a dropship / grunts to a full dropship will be sent in via drop pod
- Fixed rare crash where a pilot had an archer

### Backend:
- Minor Optimizations/cleanup all around


# 2.6.1

Backend:
- Prevented AI attempting to gain currency from assists against players

Gameplay:
- Grunt droppods will have a 50% chance of spawning a specialist, not a shield captain (shield captains still spawn 100% of the time from dropships)
Specialists will also spawn in 50% of spectre droppods

+ AI Shield Captains have a 50% chance of spawning with a grunt droppod
+ AI Specialists will spawn with every spectre droppod
+ No special units will be dropped with Stalkers
+ Increased Stalker Health


# 2.6.0

AI:
+ New AI Specialists (33% chance to spawn in Spectre Droppods)
+ New AI Shield Captains (33% chance to spawn in Grunt Droppods and always spawns in an AI Dropship)
+ New Stalker Drop Pods (Thanks VoyageDB for adding a failsafe I would otherwise have to create myself)

Gameplay:
- Removed Volt from stalker weapon pool

Economy:
+ AI Specialists give 5 points
+ AI Shield Captains give 5 points
+ AI Stalkers give 3 points
This should lead to players getting more points by targeting certain AI, making more points available

Backend:
+ Further Optimized player kill scores
+ Improved Level Escalation
- Removed Unused/unhelpful code snippets

Known Issues:
- AI Specialists have to use the Spectre model

# 2.5.4

Gameplay:
+ Suicide Spectre now gives 5 points upon attempted suicide
+ Suicide Spectre maximum hold time increased from 3.5 -> 5

# 2.5.3

Gameplay:
+ Points are awarded for assists (and scale with enemy class)
+ Fixed rodeo exploit, servers should be more stable

Backend:
+ Added ways to add to player points
- Removed unncessary anti-rodeo features

# 2.5.1
Gameplay:
+ 8 extra points are now awarded for destorying a dropship
+ Friendly AI will only be highlighted when within Line-Of-Sight (Does not apply to heavy armor units)
+ Gunships should now have longer firing bursts
+ Reworked Class system so spectre/specialist variants have to purchase their initial class first (should lead to some more linear and meaningful progression)
+ Enemy Grunt names will only show when aimed at

Classes:
+ Added Suicide Spectre Class
+ Added Spectre Leader Class
+ Improved Pilot Sliding
+ Pilot not affected by increase in gravity
+ Fixed rare occurance of rifleman having reduced health
+ Sniper Spectre now gets a charge rifle
+ Specialist now gets 1 extra drone every 20 seconds after using both drones
+ Sentry Tech now gets 1 extra turret every 30 seconds after using both turrets
+ Added tooltip for when your drone/turret regenerates
- Reduced Spectre Glide/Airstrafing capabilities

Backend:
+ Improved code
+ Added failsafes for potential crashes
+ Classes are now defined as mechanical or non-mechanical
+ Everyone now gets infinite tick glitch (Yay --communism-- canada)

# 2.3

## Classes:
+ **New class: Sentry Technician** - This class is able to place down 2 light anti-personnel sentry turrets, and are equipped with a cold war to deal with both large threats and groups of enemies, find more information in-game

+ Sniper Spectre weapons are now amped

+ Shield captains wall now follows him around

## AI:
+ Grunts will now spawn in dropships when able

+ Drones will no longer self-destruct

+ Sentry turrets will no longer self-destruct

- Reduced number of MRVNs by default

## Economy:
+ Killing AI Pilots now award 8 points instead of 1

+ Other economy changes

### Bug Fixes:

- Certain players can no longer spawn over 2 drones as a specialist


# 2.1.1:

**You can no longer rodeo while a pilot is entering a titan**